Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.bio
Class SocketConnector.Connection

    java.lang.Object
      org.mortbay.io.bio.StreamEndPoint
          org.mortbay.io.bio.SocketEndPoint
              org.mortbay.jetty.bio.SocketConnector.Connection

All Implemented Interfaces:
  java.lang.Runnable, EndPoint

Direct Known Subclasses:
  SslSocketConnector.SslConnection

Enclosing class:
  SocketConnector

    protected class SocketConnector.Connection

extends SocketEndPoint
implements java.lang.Runnable

Field Summary
`protected java.net.Socket` | `_socket`

Constructor Summary
`SocketConnector.Connection(java.net.Socket socket)`

Method Summary
`void` | `dispatch()`
`int` | `fill(Buffer buffer)` Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer.
`void` | `run()`

Methods inherited from class org.mortbay.io.bio.SocketEndPoint
`close, getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isOpen, shutdownOutput`

Methods inherited from class org.mortbay.io.bio.StreamEndPoint
`blockReadable, blockWritable, flush, flush, flush, getInputStream, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _socket

    protected java.net.Socket _socket

Constructor Detail

### SocketConnector.Connection

    public SocketConnector.Connection(java.net.Socket socket)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### dispatch

    public void dispatch()
                  throws java.lang.InterruptedException,
                         java.io.IOException

  Throws:
    `java.lang.InterruptedException`
    `java.io.IOException`

### fill

    public int fill(Buffer buffer)
             throws java.io.IOException

  Description copied from interface: `EndPoint`
  Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer. The putIndex is increased if bytes filled. The buffer may chose to do a compact before filling.

  Specified by:
    `fill` in interface `EndPoint`
  Overrides:
    `fill` in class `StreamEndPoint`
  Returns:
    an `int` value indicating the number of bytes filled or -1 if EOF is reached.
  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.